<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://www.ibatis.com/dtd/sql-map-2.dtd">

<sqlMap namespace="Idiomas">

    <resultMap id="result" class="arg.ros.acc.vo.commons.IdiomasVO">
    	<result property="cod_idioma" column="COD_IDIOMA" />
    	<result property="des_idioma" column="DES_IDIOMA" />
	</resultMap>

	<select id="obtenerIdiomas" resultMap="result">
		SELECT * FROM PGSM_IDIOMAS
		<dynamic prepend="WHERE">
    		<isNotEmpty prepend="AND" property="cod_idioma">
				UPPER(PGSM_IDIOMAS.COD_IDIOMA) = UPPER(#cod_idioma#)
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="des_idioma">
				UPPER(PGSM_IDIOMAS.DES_IDIOMA) = UPPER(#des_idioma#)
			</isNotEmpty>
  		</dynamic>
	</select>

	<select id="obtenerFiltroIdiomas" resultMap="result" parameterClass="java.util.Map">
 		SELECT * FROM PGSM_IDIOMAS
		<dynamic prepend="WHERE">
    		<isNotEmpty prepend="AND" property="cod_idioma">
				UPPER(TO_CHAR(PGSM_IDIOMAS.COD_IDIOMA)) LIKE UPPER('%$cod_idioma$%')
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="des_idioma">
				UPPER(TO_CHAR(PGSM_IDIOMAS.DES_IDIOMA)) LIKE UPPER('%$des_idioma$%')
			</isNotEmpty>
		</dynamic>
	</select>

	<select id="totalIdiomas" resultClass="java.lang.Integer">
		SELECT COUNT(*) AS VALUE FROM PGSM_IDIOMAS
		<dynamic prepend="WHERE">
    		<isNotEmpty prepend="AND" property="cod_idioma">
				UPPER(TO_CHAR(PGSM_IDIOMAS.COD_IDIOMA)) LIKE UPPER('%$cod_idioma$%')
			</isNotEmpty>
    		<isNotEmpty prepend="AND" property="des_idioma">
				UPPER(TO_CHAR(PGSM_IDIOMAS.DES_IDIOMA)) LIKE UPPER('%$des_idioma$%')
			</isNotEmpty>
		</dynamic>
	</select>
	
</sqlMap>
